Netmaster version 12.1 WebCenter and ReportCenter updates require use of Java version 8

Document created by Lori_Thomas Employee on Feb 9, 2016
Version 1Show Document
  • View in full screen mode

As of July 2015, any fixes written for the Webcenter and ReportCenter features of the Netmaster product are compiled using the java v8 compiler as this is the latest release, and the older versions are either no longer supported or are to be taken off support shortly.

 

This means that once any fixes have been applied to your region that have been compiled at the version 8 level, the code will only function using java version 8 runtime.

 

The first fix numbers requiring this increased level are

RO81238 for ReportCenter

RO83161 for Webcenter

 

 

For ReportCenter that means pointing to USS Java 8 in the ReportCenter parameter group.

For Webcenter it means ensuring java version 8 is available on your PC.

 

This is outlined in detail the HOLDDATA that accompanies the fixes.

 

Please be aware that some fixes cannot be RESTOREd, so read all ++HOLD data carefully and back up your SMP environment as directed prior to running the APPLY.

 

We also recommend backing up any affected VSAM files referenced in the HOLDDATA if that is not already standard practice.  Once the data has been copied from SMP to the VSAM files via the NMVIP program noted in the ++HOLD, this information cannot be removed; an SMP RESTORE will not reverse the actions of the NMVIP job..

 

Please feel free to contact support with any questions.

Attachments

    Outcomes